﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;

namespace WpfApplication11
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();            
        }

        private void xamDateTimeEditor1_EditModeEnding(object sender, Infragistics.Windows.Editors.Events.EditModeEndingEventArgs e)
        {
            //this is not getting called when I expect. Even though I set IsAlwaysInEditMode = false.
            //I am not even sure how the control itself would know the editing is done besides loss of focus.
            DateTime dt = new DateTime();
            if (!DateTime.TryParse(xamDateTimeEditor1.Text.ToString(), out dt))
            {
                string[] sections = xamDateTimeEditor1.Text.Split(new char[] { ':', ' ' }, StringSplitOptions.RemoveEmptyEntries);
                dt = DateTime.Parse(sections[0]);
                xamDateTimeEditor1.Value = dt;
            }
        }       
    }
}
